#!/usr/bin/tcsh -f
set echo_style='bsd' ; setenv LC_ALL C #; set echo verbose

# Copyright 2012 Leon van Dommelen.  This software is made available
# under the GNU Public License version 3.  See folder copyrights.

# Purpose: Check that file ROOT@LEVEL.EXT does not exist

# Usage
goto start
use:
echo 'Usage: source file_bcklvchk.bat ROOT EXT LEVEL'
echo '       Returns error status 1 if the file exists'
goto err
start:

# handle folders separately
if ("$2" != F0L) goto nofol

# done if the folder does not exist
if !(-e "$1@$3") goto done

# otherwise, that is it
goto err

# not a folder
nofol:

# done if the backup does not exist
if !(-e "$1@$3.$2") goto done

# otherwise, that is it
goto err

# done
done:
goto end

# errors
err:
exit 1

end:
