#!/usr/bin/tcsh -f
set echo_style='bsd' ; setenv LC_ALL C #; set echo verbose

# Copyright 2012 Leon van Dommelen.  This software is made available
# under the GNU Public License version 3.  See folder copyrights.

# Purpose: List ROOT@LEVEL.EXT properties including date

# Usage
goto start
use:
echo 'Usage: set errlev=0'
echo '       source file_bcklvshw.bat ROOT EXT LEVEL'
echo '       sets errlev to 1 if a file exists'
goto err
start:

# handle folders separately
if ("$2" != F0L) goto nofol

# done if the folder does not exist
if !(-e "$1@$3") goto done
set errlev='1'

# otherwise, list it
echo "Entire folder $1@$3"
goto done

# not a folder
nofol:

# done if the file does not exist
if !(-e "$1@$3.$2") goto done
set errlev='1'

# otherwise, list it
ls -l "$1@$3.$2"

# done
done:
goto end

# errors
errsys:
echo '*** Operating system error.  Check disk space and file protections.'
echo '    If not, try rerunning install_l2h in the l2h_folder.'
err:
exit 1

end:
