#!/usr/bin/tcsh -f
set echo_style='bsd' ; setenv LC_ALL C #; set echo verbose

# Copyright 2012 Leon van Dommelen.  This software is made available
# under the GNU Public License version 3.  See folder copyrights.

# Purpose: Select extension EXT2 if not *, otherwise EXT

# Usage
goto start
use:
echo 'Usage: source file_extsel.bat ROOT EXT EXT2 FILE.BAT PAR3 PAR4 ...'
echo "       Specify any * as * in DOS but '*' in unix"
goto err
start:

# run FILE.BAT with EXT
if ("$3" != '*') goto doext2
source "$4" "$1" "$2" "$5" "$6" "$7" "$8" "$9"
if ($status) goto err
goto done

# run FILE.BAT with EXT2
doext2:
source "$4" "$1" "$3" "$5" "$6" "$7" "$8" "$9"
if ($status) goto err
goto done

# done
done:
goto end

# errors
err:
exit 1

end:
