#!/usr/bin/tcsh -f
set echo_style='bsd' ; setenv LC_ALL C #; set echo verbose

# Copyright 2012 Leon van Dommelen.  This software is made available
# under the GNU Public License version 3.  See folder copyrights.

# Purpose: Remove any icon ROOT.EXT in web-pages

# Usage
goto start
use:
echo 'Usage: Ensure zero error level'
echo '       source remicon.bat ROOT EXT'
goto err
start:

# done if the icon does not exist
if !(-f "web-pages/$1.$2") goto done

# delete the icon
rm "web-pages/$1.$2"
if (-e "web-pages/$1.$2") goto errsys
if ($status) echo "Error deleting old button $1.$2"

# done
done:
goto end

# errors
errsys:
echo '*** Operating system error.  Check disk space and file protections.'
echo '    If not, try rerunning install_l2h in the l2h_folder.'
err:
exit 1

end:
