      program getpgc

c     Copyright 2012 Leon van Dommelen.  This software is made available
c     under the GNU Public License version 3.

c     Get the pagecolor out of @transcol.txt and convert it to a form
c     suitable for .latex2html-init in file @getpgc.pl.

c     This should not be run unless @transcol.txt exists and @getpgc.pl
c     does not.

      implicit none

c     color string
      character*7 str

c     rgb values
      integer val(3)

c     indices
      integer i,i2

 10   format(a7)

      open(1,file='@transcol.txt',status='old')
      read(1,10)str

      if(str(1:1).ne.'#')goto 900

      do 100 i2=1,3
         i=2*i2
         if(str(i:i).ge.'0' .and. str(i:i).le.'9')then
            val(i2)=ichar(str(i:i))-ichar('0')
         else if(str(i:i).ge.'A' .and. str(i:i).le.'F')then
            val(i2)=ichar(str(i:i))-ichar('A')+10
         else if(str(i:i).ge.'a' .and. str(i:i).le.'f')then
            val(i2)=ichar(str(i:i))-ichar('a')+10
         else
            goto 900
         endif
         i=i+1
         if(str(i:i).ge.'0' .and. str(i:i).le.'9')then
            val(i2)=val(i2)*16+ichar(str(i:i))-ichar('0')
         else if(str(i:i).ge.'A' .and. str(i:i).le.'F')then
            val(i2)=val(i2)*16+ichar(str(i:i))-ichar('A')+10
         else if(str(i:i).ge.'a' .and. str(i:i).le.'f')then
            val(i2)=val(i2)*16+ichar(str(i:i))-ichar('a')+10
         else
            goto 900
         endif
 100  continue

      open(2,file='@getpgc.pl')
      write(2,110)(val(i)/255.,i=1,3)
 110  format('$LATEX_COLOR = "\\\\pagecolor[rgb]{',
     & f5.3,',',f5.3,',',f5.3,'}";# background color for images')

      call exit(0)

 900  call exit(1)
      end
