      program seterr

c     Copyright 2012 Leon van Dommelen.  This software is made available
c     under the GNU Public License version 3.

c     Sets error code in a DOS batch file.

c     Usage: seterr.exe digit

c     Note that by l2hos->syswait in perl, these error codes get
c     magnified by a factor 256.  (0 -> 0, 1 -> 256, 2 -> 512, ...)

c     Also note that at least on XP, a goto resets the error code.  Also
c     an EXIT will kill the command shell.  So use as:
c        [path]seterr.exe 1     (or %stat% instead of 1)
c        :end

c     avoid typos
      implicit none

c local

c     number of command arguments
      integer iargc
      external iargc
c     argument index
      integer arg
c     argument string
      character*256 argstr

c     error level
      integer i

c executable

c     read command line
      arg=iargc()
      if(arg.ne.1)goto 900
      argstr=' '
      call getarg(1,argstr)
      if(argstr(2:).ne.' ')goto 900
      i=ichar(argstr(1:1))-48
      if(i.lt.0 .or. i.gt.9)goto 900

c     exit with the requested status
      call exit(i)

c     usage
 900  print910
 910  format('Usage: seterr digit')
      call exit(1)
      end
