      subroutine readiv(line,int,*)

c     Copyright 2012 Leon van Dommelen.  This software is made available
c     under the GNU Public License version 3.

c     Read an integer value entered by the user.

c     If the number is invalid, takes the alternate return.
c     Ignores leading and trailing spaces.

c     avoid typos
      implicit none

c input

c     line as entered by the user
      character*(*) line

c output

c     entered value
      integer int

c local

c     number of signs read
      integer sgn
c     number of digits read
      integer digit
c     whether we have the number
      integer havnum

c     character index
      integer i

c executable

      int=0
      sgn=0
      digit=0
      havnum=0
      do 500 i=1,len(line)
         if(line(i:i).ge.'0' .and. line(i:i).le.'9')then
            if(havnum.ne.0)goto 900
            digit=digit+1
            if(int.ge.214748364)goto 900
            int=int*10+(ichar(line(i:i))-48)
         else if(line(i:i).eq.'-')then
            if(digit.ne.0 .or. sgn.ne.0)goto 900
            sgn=1
         else if(line(i:i).le.' ')then
            if(digit.ne.0 .or. sgn.ne.0)havnum=1
         else
            goto 900
         endif
 500  continue
      if(digit.eq.0)goto 900
      if(sgn.ne.0 .and. int.eq.0)goto 900
      if(sgn.ne.0)int=-int
      return

 900  call out('** Invalid integer number entered')
      return 1
      end
