      program utf82i

c     Read utf 8 characters from standard input, one per line, and print
c     their properties out.

      implicit none

c     byte array
      character*4 instr
      character*1 inchr(4)
      equivalence (instr,inchr(1))
      integer inmax,in

      character*1 bbchr(64),bbchr2(64)
      integer bbmax,bbmax2,bb

      character*1 strchr(4)
      integer str,strmax,chrno,ichr,digmax,dig
      character*12 cint
      integer cintl

      logical exists

 10   format(a4)
 20   format(a,78a1)
 30   format(a,a)

      call insub('main')

 50   print20,'Trying to read a utf-8 character on standard input'
      read(*,10,end=90)instr
      do 100 in=1,4
         call wbaseb(8,48,ichar(inchr(in)),64,bbmax,bbchr)
         call wbaseb(16,48,ichar(inchr(in)),64,bbmax2,bbchr2)
         print20,'byte in hex and oct: ',
     &    (bbchr2(bb),bb=1,bbmax2),' ',(bbchr(bb),bb=1,bbmax)
 100  continue
      inmax=0
      call rutf8(4,inchr,inmax,chrno)
      if(chrno.lt.0)call fatal('Invalid character')
      call inttos(chrno,cint,cintl)
      print30,'Unicode: ',cint(1:cintl)
      call wbaseb(16,48,chrno,64,bbmax,bbchr)
      print20,' in hex: ',(bbchr(bb),bb=1,bbmax)
      call wbaseb(8,48,chrno,64,bbmax,bbchr)
      print20,' in oct: ',(bbchr(bb),bb=1,bbmax)
      goto 50
 90   call exit(0)
      end
