      program casefl

c     Process casefold.txt.

      implicit none

c     input line
      character*256 linstr
      character*1 linchr(256)
      equivalence (linchr(1),linstr)
      integer i,imax,pos,pos0

c     byte array
      integer strdim
      parameter (strdim=128)
      character*1 strchr(strdim)
      integer str,strmax,strlt

c     unicode number
      integer chrno

c     character numbers
      integer orgnum,org,trnsiz,trnnum(3),trn

c     integer as string
      character*12 cint,cintt(3)
      integer cintl,cinttl(3)

c     output line
      character*256 outstr
      character*1 outchr(256)
      equivalence (outchr(1),outstr)
      integer out,outmax,outlt,out1,out2

c     initialize insub
      call insub('main')

c     open files
      open(1,file='casefold.ind')
      open(2,file='casefold.lst')
      open(3,file='casefold.tmp')
      open(4,file='cnvhyph.tmp')

      org=0
      trn=0

 100  read(1,110,end=900)linstr
 110  format(a256)
      if(linchr(1).eq.'#')goto 100
      do 120 i=256,16,-1
         imax=i
         if(linchr(i).gt.' ')goto 121
 120  continue
      goto 100
 121  print122,linstr(1:imax)
 122  format(a)

c     output lengths
      strmax=0
      outmax=0
      if(linchr(imax).eq.'%')then
         outmax=1
         outchr(1)='%'
      endif

c     first number
      pos0=1
      pos=index(linstr(pos0:pos0+5),';')
      if(pos.le.0)call fatal('wrong initial number')
      call rbaseb(16,48,pos-1,linchr(pos0),chrno)
      if(chrno.eq.-1)call fatal('wrong hex 1')
      call wutf8(chrno,strdim-strmax,strlt,strchr(strmax+1))
      strmax=strmax+strlt
      call wutf8(chrno,256-outmax,outlt,outchr(outmax+1))
      outmax=outmax+outlt
      call wutf8(8594,256-outmax,outlt,outchr(outmax+1))
      outmax=outmax+outlt
      out1=outmax
      pos=pos+pos0+1

c     separating string
      if(linchr(pos+1).ne.';')call fatal ('wrong input line')
      do 200 i=1,4
         strmax=strmax+1
         strchr(strmax)=linchr(pos+i-2)
 200  continue

c     store
      orgnum=chrno
      trnsiz=0

c     later numbers
      pos=pos+3
 300  pos0=pos
      pos=index(linstr(pos0:pos0+5),';')
      if(pos.le.0)then
         pos=index(linstr(pos0:pos0+5),' ')
         if(pos.le.0)call fatal('wrong second number')
      endif
      call rbaseb(16,48,pos-1,linchr(pos0),chrno)
      if(chrno.eq.-1)call fatal('wrong hex n')
      trnsiz=trnsiz+1
      if(trnsiz.gt.3)call fatal('Too many chars in translations')
      trnnum(trnsiz)=chrno
      call wutf8(chrno,strdim-strmax,strlt,strchr(strmax+1))
      strmax=strmax+strlt
      call wutf8(chrno,256-outmax,outlt,outchr(outmax+1))
      outmax=outmax+strlt
      if(linchr(pos0+pos-1).eq.' ')then
         pos=pos+pos0
         goto 300
      else if(linchr(pos0+pos-1).ne.';')then
         call fatal('No end')
      endif
      pos=pos0+pos
      out2=outmax

c     write to listing
      write(2,510)(strchr(str),str=1,strmax),(linchr(i),i=pos,imax)
 510  format(256a1)

c     write to the case conversion file
      outmax=outmax+1
      outchr(outmax)=' '
      call inttos(orgnum,outstr(outmax+1:256),outlt)
      outmax=outmax+outlt+1
      outchr(outmax)=','
      do 520 trn=1,trnsiz
         call inttos(trnnum(trn),outstr(outmax+1:256),outlt)
         outmax=outmax+outlt+1
         outchr(outmax)=','
 520  continue
      write(3,510)(outchr(out),out=1,outmax-1)

c     write to the script
      write(4,530)outstr(out1+1:out2),outstr(1:outmax-1)
 530  format('if (`grep -c ''',a,''' "$fili"` != 0) then'/
     & '    echo ''',a,''' >> "$filo"'/
     & '    if ($status) goto err'/
     & 'endif')

c     next line
      goto 100

c     write out the numbers
 900  call exit(0)
      end
