      program sellan

c     Note: this program is no longer used.  It has been superceded by
c     sellist.f.

c     Convert a list of the folders in hyphenate into a DOS menu
c     sellan.bat.  That menu asks the user for a language folder name
c     and echos that name, and a second string to file %1.  File %1
c     should initially not exist.

c     Language folder names cannot be longer than 20 characters.  (That
c     could be extended to 22 characters if needed.  After that, menu
c     format changes would be needed.)  They may not contain the various
c     characters that have meaning to DOS or tcsh.  They may not end in
c     a digit.

c     Usage: g77 $g77opt sellan.f -o ../../../bin/sellan sellan.f
c            or
c            gfortran --static -std=legacy -fbackslash -fno-dump-core \
c                     -o ../../../bin/sellan sellan.f
c            cd ..
c            'ls' -1F > tmp.txt
c            ../../bin/sellan
c            rm tmp.txt
c            edit sellan.bat and add CR before every line-feed.
c            mv sellan.bat ../../dos/system-files/bin
c            chmod u=rwx,go=rx ../../dos/system-files/bin/sellan.bat
c            cd ../convert/DOS_tcsh
c            emacs cnv &
c            source cnv
c            move ftmp2 ../../../unix/system-files/bin/sellan.bat
c            chmod u=rwx,go=rx ../../../unix/system-files/bin/sellan.bat

      implicit none

c     folders (with three padding spaces)
      integer fdim,fmax,f
      parameter (fdim=200)
      character*25 fol(fdim)

c     screen lines
      integer l
      character*79 lin(18)

c     menu counter
      integer menu

c     ascii code
      integer asc,asca

c     keys
      integer key,keymax
      character*54 keys
      integer keyf(54)

c     generic index
      integer i

c     formats
 10   format(a,a,a)
 20   format('if errorlevel ',i2,' goto ',a)

c     set the ascii code for 'a'
      asca=ichar('a')

c     read the input file
      open(1,file='tmp.txt',status='old')
      f=0
 100  f=f+1
      if(f.gt.fdim)then
         print*,'*** too many folders'
         stop
      endif
 110  read(1,120,end=190)fol(f)
 120  format(a25)
      i=index(fol(f),'/')
      if(i.le.0)goto 110
      fol(f)(i:i)=' '
      if(fol(f).eq.'src_IGNORE')goto 110
      i=index(fol(f),'   ')
      if(i.le.1 .or. i.gt.21)then
         print*,'*** name too long or missing: ',fol(f)
         stop
      endif
      i=i-1
      goto 160
 150  print*,'illegal character in folder name ',fol(f)(1:i)
      stop
 160  if(index(fol(f)(1:i),'\\').gt.0)goto 150
      if(index(fol(f)(1:i),'>').gt.0)goto 150
      if(index(fol(f)(1:i),'<').gt.0)goto 150
      if(index(fol(f)(1:i),'&').gt.0)goto 150
      if(index(fol(f)(1:i),'|').gt.0)goto 150
      if(index(fol(f)(1:i),'%').gt.0)goto 150
      if(index(fol(f)(1:i),'"').gt.0)goto 150
      if(index(fol(f)(1:i),'''').gt.0)goto 150
      if(index(fol(f)(1:i),'!').gt.0)goto 150
      if(fol(f)(i:i).ge.'0' .and. fol(f)(i:i).le.'9')goto 150
      goto 100
 190  fmax=f-1
      print*,'folders:',fmax
      close(1)

c     open the output file and write header
      open(2,file='sellan.bat')
      write(2,10)'@echo off'
      write(2,10)
      write(2,10)'REM Purpose: This is used internally by the l2h '//
     & 'menu.bat to ask the user for'
      write(2,10)'REM          an hyphenation language LANGUAGE.  '//
     & 'Then it echos'
      write(2,10)'REM             LANGUAGE'
      write(2,10)'REM          to file %1, which must not exist, and '//
     & 'appends'
      write(2,10)'REM             echon.exe "LANGUAGE              "'
      write(2,10)'REM          to it, the total quoted string being '//
     & '20 characters long.'
      write(2,10)
      write(2,10)'REM Usage'
      write(2,10)'goto start'
      write(2,10)':use'
      write(2,10)'echo Usage: call doinit.bat [quiet]'
      write(2,10)'echo        call sellan.bat '//
     & 'file_that_does_not_yet_exist'
      write(2,10)'goto err'
      write(2,10)':start'
      write(2,10)'seterr.exe 0'
      write(2,10)

c     initialize
      menu=0
      f=0

c     next menu
 200  if(f.ge.fmax)goto 900
      menu=menu+1
      if(menu.gt.8)then
         print*,'*** too many menus'
         stop
      endif
      key=0
      asc=asca
      do 210 l=1,18
         lin(l)=' '
         f=f+1
         if(f.le.fmax)then
            lin(l)(1:3)=char(asc)//': '
            if(asc.ge.asca)then
               asc=asc-32
            else
               asc=asc+32+1
            endif
            if(asc.eq.ichar('q'))asc=asc-32
            lin(l)(4:25)=fol(f)
            key=key+1
            keyf(key)=f
            keys(key:key)=lin(l)(1:1)
         endif
 210  continue
      do 220 l=1,18
         f=f+1
         if(f.le.fmax)then
            lin(l)(1+27:27+3)=char(asc)//': '
            if(asc.ge.asca)then
               asc=asc-32
            else
               asc=asc+32+1
            endif
            if(asc.eq.ichar('q'))asc=asc-32
            lin(l)(4+27:27+25)=fol(f)
            key=key+1
            keyf(key)=f
            keys(key:key)=lin(l)(1+27:27+1)
         endif
 220  continue
      do 230 l=1,15
         f=f+1
         if(f.le.fmax)then
            lin(l)(1+54:54+3)=char(asc)//': '
            if(asc.ge.asca)then
               asc=asc-32
            else
               asc=asc+32+1
            endif
            if(asc.eq.ichar('q'))asc=asc-32
            lin(l)(4+54:54+25)=fol(f)
            key=key+1
            keyf(key)=f
            keys(key:key)=lin(l)(1+54:54+1)
         endif
 230  continue
      if(menu.gt.1)then
         lin(16)(1+54:79)='1: first screen'
         key=key+1
         keyf(key)=0
         keys(key:key)='1'
      else
         lin(16)(1+54:79)='-- first screen'
      endif
      if(f.lt.fmax)then
         lin(17)(1+54:79)=' : next screen'
         key=key+1
         keyf(key)=0
         keys(key:key)=' '
      else
         lin(17)(1+54:79)='-- next screen'
      endif
      lin(18)(1+54:79)='q: quit'
      key=key+1
      keyf(key)=0
      keys(key:key)='q'
      keymax=key

c     write menu
      write(2,10)
      write(2,10)':show_'//char(menu+48)
      write(2,10)'cls'
      write(2,10)'echo =======================================',
     & '========================================'
      write(2,10)'echo       Hyphenation patterns are based on data '//
     & 'at http://tug.org/tex-hyphen'
      write(2,10)'echo+'
      do 300 l=1,18
         do 250 i=79,1,-1
            if(lin(l)(i:i).gt.' ')then
               write(2,10)'echo '//lin(l)(1:i)
               goto 300
            endif
 250     continue
         write(2,10)'echo+'
 300  continue
      write(2,10)'echo+'
      write(2,10)'echo Press the *case-sensitive* letter of the ',
     & 'desired language.'
      write(2,10)'choose.exe "',keys(1:keymax),
     & '" "Or press Space for the next screen or q to quit"'

c     write jumps
      write(2,20)keymax+1,'errsys'
      do 400 key=keymax,1,-1
         if(keys(key:key).eq.'q')then
            write(2,20)key,'errq'
         else if(keys(key:key).eq.' ')then
            write(2,20)key,'show_'//char(menu+1+48)
         else if(keys(key:key).eq.'1')then
            write(2,20)key,'show_1'
         else if(keys(key:key).ge.'a')then
            write(2,20)key,'menu_'//char(menu+48)//keys(key:key)
         else
            write(2,20)key,'menu_'//char(menu+48)//'c'//
     &       char(ichar(keys(key:key))+32)
         endif
 400  continue
      write(2,10)'goto errq'

c     write menu items
      do 500 key=1,keymax
         if(keyf(key).le.0)goto 500
         i=index(fol(keyf(key)),'   ')-1
         if(keys(key:key).ge.'a')then
            write(2,10)':menu_'//char(menu+48)//keys(key:key)
         else
            write(2,10)':menu_'//char(menu+48)//'c'//
     &       char(ichar(keys(key:key))+32)
         endif
         write(2,10)'echo '//fol(keyf(key))(1:i)//'> %1'
         write(2,10)'if not exist %1 goto errsys'
         write(2,10)'echo echon.exe "'//fol(keyf(key))(1:20)//'">> %1'
         write(2,10)'if errorlevel 1 goto errsys'
         write(2,10)'goto done'
 500  continue

c     next menu
      goto 200

c     write trailer
 900  write(2,10)
      write(2,10)'REM done'
      write(2,10)':done'
      write(2,10)'seterr.exe 0'
      write(2,10)'goto end'
      write(2,10)
      write(2,10)'REM errors'
      write(2,10)':errq'
      write(2,10)'echo *** Language selection aborted by user.'
      write(2,10)'goto err'
      write(2,10)':errsys'
      write(2,10)'echo *** Operating system error.  Check disk '//
     & 'space and file protections.'
      write(2,10)'echo     If not, try rerunning install_l2h in the '//
     & 'l2h_folder.'
      write(2,10)':err'
      write(2,10)'echo exit | find "error"'
      write(2,10)
      write(2,10)':end'
      stop
      end
