      program echon

c     Copyright 2012 Leon van Dommelen.  This software is made available
c     under the GNU Public License version 3.

c     Prints the argument string without adding a new line.  To print
c     trailing blanks, put a * at the end.

c     Compile as
c         g77 -o ..\var\echon.exe echon.f argssun.f

      implicit none

c local

c     declared number of arguments
      integer argdim
      parameter (argdim=1)
c     actual number of arguments
      integer argmx
c     arguments
      character*80 argt(argdim)
      integer argtl(argdim)

c executable

c     get the command line arguments
      call args(argdim,argmx,argt,argtl)
      if(argmx.ne.1)goto 990
      if(argtl(1).le.0)goto 990

 10   format(a,$)

      if(argt(1)(max(1,argtl(1)-1):argtl(1)).eq.' *')argtl(1)=argtl(1)-1
      print10,argt(1)(1:argtl(1))
      goto 999

 990  print10,'*** echon: invalid string'
 999  call exit(0)
      end
